
From: Matthew Dobson <colpatch@us.ibm.com>

In file included from arch/i386/kernel/smp.c:235:
include/asm-i386/mach-numaq/mach_ipi.h:4: warning: `send_IPI_mask_sequence'
declared inline after its definition

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-i386/mach-numaq/mach_ipi.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-i386/mach-numaq/mach_ipi.h~send_ipi_mask_sequence-warning-fix include/asm-i386/mach-numaq/mach_ipi.h
--- 25/include/asm-i386/mach-numaq/mach_ipi.h~send_ipi_mask_sequence-warning-fix	2005-06-06 21:23:40.000000000 -0700
+++ 25-akpm/include/asm-i386/mach-numaq/mach_ipi.h	2005-06-06 21:23:40.000000000 -0700
@@ -1,7 +1,7 @@
 #ifndef __ASM_MACH_IPI_H
 #define __ASM_MACH_IPI_H
 
-inline void send_IPI_mask_sequence(cpumask_t, int vector);
+void send_IPI_mask_sequence(cpumask_t, int vector);
 
 static inline void send_IPI_mask(cpumask_t mask, int vector)
 {
_
